
QGIS Application - Bug report #16346

[not working] select by radius

2017-03-12 12:17 PM - Tobias Wendorff

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.4 Regression?: No

Operating System: Microsoft Windows 7, 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24256

Description

Right now, "select by radius" deselects an existing selection only, but doesn't select any new items. All other selection types seem to

work.

Please check the animation (screen recording) attached to this bug report.

History

#1 - 2017-03-12 01:25 PM - R. R.

I can not confirm that on Ubuntu 16.04 LTS (QGIS 2.18.4).

See also: #14748

#2 - 2017-03-13 06:32 AM - Tobias Wendorff

Reinhard Reiterer wrote:

I can not confirm that on Ubuntu 16.04 LTS (QGIS 2.18.4).

See also: #14748

I figured out the problem! It only occures when working on a geographic CRS, like WGS84! Sure, a circle on the canvas isn't a circle on ground on

geographic map projections, but that doesn't make sense. A rectangle (for selection) on WGS84 also isn't a rectangle on ground :)

If a user wants to select a radial area on the canvas, he should also be able to do this on a geographic CRS. The selection isn't based on real map units, it's

only a visual selection tool.

#3 - 2017-03-13 11:28 PM - Saber Razmjooei

- Priority changed from Normal to Low

- Status changed from Open to Feedback

It works fine under Windows too.

I think it is a local problem. Feel free to upload your data and project. Otherwise it is difficult to replicate the issue.
#4 - 2017-03-18 06:30 AM - Giovanni Manghi

- Category set to Map Canvas

#5 - 2017-04-29 04:57 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.
